# $Revision: 1.10 $, $Date: 2012/01/18 19:04:20 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Chinese
Summary:	Date::Chinese - calculate dates in the Chinese calendar
Summary(pl.UTF-8):	Date::Chinese - obliczanie dat w kalendarzu chińskim
Name:		perl-Date-Chinese
Version:	1.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	aba4a151ecf84acd9091ee8f56a1d50f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Date::Chinese is Perlish interface to the Chinese Calendar.

%description -l pl.UTF-8
Date::Chinese stanowi interfejs perlowy do kalendarza chińskiego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Date/Chinese.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Chinese.spec,v $
Revision 1.10  2012/01/18 19:04:20  zbyniu
- up to 1.12

Revision 1.9  2008/07/27 22:31:49  arekm
- release 2

Revision 1.8  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.6  2004/11/03 22:30:17  paladine
- formatting

Revision 1.5  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.4  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.3  2004/04/13 11:13:46  ankry
- caps cosmetics

Revision 1.2  2004/04/11 22:52:59  qboosh
- pl, noarch

Revision 1.1  2004/04/11 16:30:35  agaran
new spec, poor description
